/**
 * PicoLCD 4x20 
 * Copyright (C) 2008 mini-box.com
 *
 * Licensed under the terms of the GNU Lesser General Public License v2.1:
 * 		http://www.opensource.org/licenses/lgpl-2.1.php
 *
 * For further information visit:
 * 		http://www.picolcd.com/
 *
 * File Authors:
 * 		Barna Csenteri
 */

#pragma once
#include "afxwin.h"
#include "afxcmn.h"


// CCardFlash dialog

class CCardFlash : public CPropertyPage
{
	DECLARE_DYNAMIC(CCardFlash)

public:
	CCardFlash();
	virtual ~CCardFlash();

// Dialog Data
	enum { IDD = IDD_CARD_FLASH };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	bool m_bFlasher;
	void FillActionList(bool flasher);

	virtual BOOL OnInitDialog();
	CListBox m_listAction;
	CProgressCtrl m_pBar;
	CStatic m_sAction;
	afx_msg void OnLbnDblclkListAction();
	afx_msg void OnBnClickedButtonSwitchmode();
};
