#if !defined(AFX_LISTIMAGECTRL_H_INCLUDED_)
#define AFX_LISTIMAGECTRL_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ListImageCtrl.h : header file
//

#include "Resource.h"
#include "ListTypes.h"

/////////////////////////////////////////////////////////////////////////////
// CListImageCtrl window

class CListImageCtrl : public CListCtrl
{
// Construction
public:
	CListImageCtrl(bool dynamic);

// Attributes
public:
	void Initialize();
// Operations
public:
	void RemoveAllMyItems();
	int AddMyItem(char* item);
	int AddMyItem(CString text, int type);
	int InsertMyItem(int count, char* item);
	int ChangeMyItemText(int count, CString text);
	int UpdateMyItemText(int count);
	int DeleteMyItem(int count);

	CImageList m_imageList;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CListImageCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CListImageCtrl();

	// Generated message map functions
protected:
	bool m_bDynamic;
	//{{AFX_MSG(CListImageCtrl)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LISTIMAGECTRL_H_INCLUDED_)
