#pragma once

//#define SPLASH_LEN				8127// - (2857 % 64) //modulo 64 must be 0
#define SPLASH_ELEMENT_MAX_SIZE 256
#define MAX_CMD_1_LINE			10
#define MAX_REPEAT_BLOCKS		16

enum 
{
	SPLASH_BRIGHTNESS,
	SPLASH_CONTRAST,
	SPLASH_TEXT,
	SPLASH_TIMER,
	SPLASH_COMMAND,
	SPLASH_LED,
	SPLASH_FONT,
	SPLASH_REPEAT_START,
	SPLASH_REPEAT_STOP,
	SPLASH_BRIGHTNESS_AUTOFADING, //just adding possible (no modify)
	SPLASH_CONTRAST_AUTOFADING, //just adding possible (no modify)
	SPLASH_TEXT_AUTOSCROLL, //just adding possible (no modify)
	SPLASH_LED_AUTOSCROLL //just adding possible (no modify)
};

int		GetSplashTypeLen(int type);
CString GetSplashText(char* item);

CString removeSlash_str(CString buf);
void removeSlash_buf(char* buf, int len);
CString addSlash(char* from, int len);

struct Str_Brightness
{
	int nType;
	int nValue;
};

struct Str_Contrast
{
	int nType;
	int nValue;
};

struct Str_Text
{
	int nType;
	int nTimeCmd;
	int nIOMapCmd;
	int nTimeText;
	int nIOMapText;
	int nRow;
	int nCol;
	int nLength;
	char strText[21];
};

struct Str_Timer
{
	int nType;
	unsigned int nValue;
	unsigned int nFlags;
};

struct Str_Command
{
	int nType;
	int nIOMap;
	int nLen;
	int nTime[MAX_CMD_1_LINE];
	int nValue[MAX_CMD_1_LINE];
};

struct Str_Led
{
	int nType;
	int nValue;
};

struct Str_Font
{
	int nType;
	int nTimeCmd;
	int nIOMapCmd;
	int nTimeFont;
	int nIOMapFont;
	int nChar;
	char chRows[8];
};

struct Str_Repeat_Start
{
	int nType;
	int nRepeatNo;
};

struct Str_Repeat_Stop
{
	int nType;
};


