// PopupBrightness.cpp : implementation file
//

#include "stdafx.h"
#include "SplashEditor.h"
#include "PopupBrightness.h"


// CPopupBrightness dialog

IMPLEMENT_DYNAMIC(CPopupBrightness, CDialog)

CPopupBrightness::CPopupBrightness(CWnd* pParent /*=NULL*/)
	: CDialog(CPopupBrightness::IDD, pParent)
	, m_nBrightness(0)
	, m_strBacklight(_T(""))
{
	
}

CPopupBrightness::~CPopupBrightness()
{
	DestroyWindow();
}

void CPopupBrightness::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Slider(pDX, IDC_SPLASH_SLIDER_BRIGHTNESS, m_nBrightness);
	DDX_Control(pDX, IDC_SPLASH_SLIDER_BRIGHTNESS, m_slider);
	DDX_Text(pDX, IDC__SPLASH_EDIT_BRIGHTNESS, m_strBacklight);
}


BEGIN_MESSAGE_MAP(CPopupBrightness, CDialog)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SPLASH_SLIDER_BRIGHTNESS, &CPopupBrightness::OnNMReleasedcaptureSplashSliderBrightness)
END_MESSAGE_MAP()


// CPopupBrightness message handlers

BOOL CPopupBrightness::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_slider.SetRange(0,0x14,TRUE);
	m_slider.SetPos(m_nBrightness);

	m_strBacklight.Format(_T("%d %c"),m_nBrightness*100/0x14,'%');

	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CPopupBrightness::OnNMReleasedcaptureSplashSliderBrightness(NMHDR *pNMHDR, LRESULT *pResult)
{
	UpdateData(TRUE);
	m_strBacklight.Format(_T("%d %c"),m_nBrightness*100/0x14,'%');
	UpdateData(FALSE);

	*pResult = 0;
}
