// PopupLed.cpp : implementation file
//

#include "stdafx.h"
#include "SplashEditor.h"
#include "PopupLed.h"


// CPopupLed dialog

IMPLEMENT_DYNAMIC(CPopupLed, CDialog)

CPopupLed::CPopupLed(CWnd* pParent /*=NULL*/)
	: CDialog(CPopupLed::IDD, pParent)
{
	for (int i=0;i<8;i++) m_bLed[i] = FALSE;
}

CPopupLed::~CPopupLed()
{
}

void CPopupLed::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Check(pDX, IDC_SPLASH_CHECK_LED1, m_bLed[0]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_LED2, m_bLed[1]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_LED3, m_bLed[2]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_LED4, m_bLed[3]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_LED5, m_bLed[4]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_LED6, m_bLed[5]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_LED7, m_bLed[6]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_LED8, m_bLed[7]);
}


BEGIN_MESSAGE_MAP(CPopupLed, CDialog)
END_MESSAGE_MAP()

void CPopupLed::ParseLed(Str_Led* cmd)
{
	unsigned char led = 0;
	for (int i=0;i<8;i++)
	{
		led = (1<<i);
		if (led & cmd->nValue)
			 m_bLed[i] = TRUE;
		else m_bLed[i] = FALSE;
	}
	if (GetSafeHwnd()) UpdateData(FALSE);
}

void CPopupLed::RetrieveLed(Str_Led* cmd)
{
	if (GetSafeHwnd()) UpdateData(TRUE);
	
	unsigned char led = 0;
	for (int i=0;i<8;i++)
	{
		if (m_bLed[i] != 0) led |= (1<<i);
	}

	cmd->nValue = led;
}
// CPopupLed message handlers
	