/**
 * PicoLCD 4x20 
 * Copyright (C) 2008 mini-box.com
 *
 * Licensed under the terms of the GNU Lesser General Public License v2.1:
 * 		http://www.opensource.org/licenses/lgpl-2.1.php
 *
 * For further information visit:
 * 		http://www.picolcd.com/
 *
 * File Authors:
 * 		Barna Csenteri
 */

#pragma once

#include "..\SplashEditor\SplashDialog.h"

// CCardSplash dialog

class CCardSplash : public CPropertyPage
{
	DECLARE_DYNAMIC(CCardSplash)

public:
	CCardSplash();
	virtual ~CCardSplash();

// Dialog Data
	enum { IDD = IDD_CARD_SPLASH };

	CSplashDialog* m_pSplashDialog;
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
};
