#pragma once

#include "resource.h"
#include "ListTypes.h"
// CPopupCommand dialog

class CPopupCommand : public CDialog
{
	DECLARE_DYNAMIC(CPopupCommand)

public:
	CPopupCommand(CWnd* pParent = NULL);   // standard constructor
	virtual ~CPopupCommand();

// Dialog Data
	enum { IDD = IDD_POPUP_COMMAND };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	void ParseCommand(Str_Command* cmd);
	void RetrieveCommand(Str_Command* cmd);

	afx_msg void OnBnClickedSplashCheckDispOn();
	afx_msg void OnBnClickedSplashCheckDispOff();
	afx_msg void OnBnClickedSplashCheckCursorOn();
	afx_msg void OnBnClickedSplashCheckCursorOff();
	afx_msg void OnBnClickedSplashCheckScreenShiftLeft();
	afx_msg void OnBnClickedSplashCheckScreenShiftRight();
	afx_msg void OnBnClickedSplashCheckCursorShiftLeft();
	afx_msg void OnBnClickedSplashCheckCursorShiftRight();
	afx_msg void OnBnClickedSplashCheckBlinkCursorOn();
	afx_msg void OnBnClickedSplashCheckBlinkCursorOff();

	BOOL m_bClearDisplay;
	BOOL m_bReturnHome;
	BOOL m_bDisplayOn;
	BOOL m_bDisplayOff;
	BOOL m_bCursorOn;
	BOOL m_bCursorOff;
	BOOL m_bBlinkCursorOn;
	BOOL m_bBlinkCursorOff;
	BOOL m_bScreenShiftLeft;
	BOOL m_bScreenShiftRight;
	BOOL m_bCursorShiftLeft;
	BOOL m_bCursorShiftRight;
	
};
