// PopupContrast.cpp : implementation file
//

#include "stdafx.h"
#include "SplashEditor.h"
#include "PopupContrast.h"


// CPopupContrast dialog

IMPLEMENT_DYNAMIC(CPopupContrast, CDialog)

CPopupContrast::CPopupContrast(CWnd* pParent /*=NULL*/)
	: CDialog(CPopupContrast::IDD, pParent)
	, m_nContrast(0)
	, m_strContrast(_T(""))
{

}

CPopupContrast::~CPopupContrast()
{
	DestroyWindow();
}

void CPopupContrast::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SPLASH_SLIDER_CONTRAST, m_slider);
	DDX_Slider(pDX, IDC_SPLASH_SLIDER_CONTRAST, m_nContrast);
	DDX_Text(pDX, IDC__SPLASH_EDIT_CONTRAST, m_strContrast);
}


BEGIN_MESSAGE_MAP(CPopupContrast, CDialog)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SPLASH_SLIDER_CONTRAST, &CPopupContrast::OnNMReleasedcaptureSplashSliderContrast)
END_MESSAGE_MAP()


// CPopupContrast message handlers

BOOL CPopupContrast::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_slider.SetRange(0,0xFF, TRUE);
	m_slider.SetPos(m_nContrast);

	m_strContrast.Format(_T("%d %c"),m_nContrast*100/0xFF,'%');

	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CPopupContrast::OnNMReleasedcaptureSplashSliderContrast(NMHDR *pNMHDR, LRESULT *pResult)
{
	UpdateData(TRUE);
	m_strContrast.Format(_T("%d %c"),m_nContrast*100/0xFF,'%');
	UpdateData(FALSE);

	*pResult = 0;
}
