// PopupFont.cpp : implementation file
//

#include "stdafx.h"
#include "SplashEditor.h"
#include "PopupFont.h"


// CPopupFont dialog

IMPLEMENT_DYNAMIC(CPopupFont, CDialog)

CPopupFont::CPopupFont(CWnd* pParent /*=NULL*/)
	: CDialog(CPopupFont::IDD, pParent)
	, m_nChar(0)
{
	for (int r=0;r<8;r++)
		for (int c=0;c<5;c++)
			m_bFont[r][c] = FALSE;

}

CPopupFont::~CPopupFont()
{
}

void CPopupFont::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT00, m_bFont[0][0]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT01, m_bFont[0][1]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT02, m_bFont[0][2]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT03, m_bFont[0][3]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT04, m_bFont[0][4]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT10, m_bFont[1][0]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT11, m_bFont[1][1]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT12, m_bFont[1][2]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT13, m_bFont[1][3]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT14, m_bFont[1][4]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT20, m_bFont[2][0]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT21, m_bFont[2][1]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT22, m_bFont[2][2]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT23, m_bFont[2][3]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT24, m_bFont[2][4]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT30, m_bFont[3][0]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT31, m_bFont[3][1]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT32, m_bFont[3][2]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT33, m_bFont[3][3]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT34, m_bFont[3][4]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT40, m_bFont[4][0]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT41, m_bFont[4][1]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT42, m_bFont[4][2]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT43, m_bFont[4][3]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT44, m_bFont[4][4]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT50, m_bFont[5][0]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT51, m_bFont[5][1]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT52, m_bFont[5][2]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT53, m_bFont[5][3]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT54, m_bFont[5][4]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT60, m_bFont[6][0]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT61, m_bFont[6][1]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT62, m_bFont[6][2]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT63, m_bFont[6][3]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT64, m_bFont[6][4]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT70, m_bFont[7][0]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT71, m_bFont[7][1]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT72, m_bFont[7][2]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT73, m_bFont[7][3]);
	DDX_Check(pDX, IDC_SPLASH_CHECK_FONT74, m_bFont[7][4]);
	DDX_CBIndex(pDX, IDC_SPLASH_COMBO_FONT, m_nChar);
}


BEGIN_MESSAGE_MAP(CPopupFont, CDialog)
END_MESSAGE_MAP()


void CPopupFont::ParseFont(Str_Font* cmd)
{
	for (int row=0;row<8;row++)
	{
		for (int col=0;col<5;col++)
		{
			if (cmd->chRows[row] & (1<<col))
				 m_bFont[row][4-col] = TRUE;
			else m_bFont[row][4-col] = FALSE;
		}
	}

	m_nChar = cmd->nChar;

	if (GetSafeHwnd()) UpdateData(FALSE);
}

void CPopupFont::RetrieveFont(Str_Font* cmd)
{
	if (GetSafeHwnd()) UpdateData(TRUE);

	for (int row=0;row<8;row++)
	{
		cmd->chRows[row] = 0;

		for (int col=0;col<5;col++)
		{
			if (m_bFont[row][4-col])
				cmd->chRows[row] |= (1<<col);
		}
	}

	cmd->nChar = m_nChar;
}
// CPopupFont message handlers
