// PopupTextAutoscroll.cpp : implementation file
//

#include "stdafx.h"
#include "SplashEditor.h"
#include "PopupTextAutoscroll.h"


// CPopupTextAutoscroll dialog

IMPLEMENT_DYNAMIC(CPopupTextAutoscroll, CDialog)

CPopupTextAutoscroll::CPopupTextAutoscroll(CWnd* pParent /*=NULL*/)
	: CDialog(CPopupTextAutoscroll::IDD, pParent)
	, m_bScrollLeft(TRUE)
	, m_bScrollRight(FALSE)
	, m_nScrollTimes(10)
	, m_nScrollDelay(5)
	, m_strScrollText(_T(""))
	, m_nRow(1)
{

}

CPopupTextAutoscroll::~CPopupTextAutoscroll()
{
}

void CPopupTextAutoscroll::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Check(pDX, IDC_SPLASH_TEXT_SCROLL_LEFT, m_bScrollLeft);
	DDX_Check(pDX, IDC_SPLASH_TEXT_SCROLL_LEFT2, m_bScrollRight);
	DDX_Text(pDX, IDC_SPLASH_EDIT_SCROLLTEXT, m_nScrollTimes);
	DDV_MinMaxUInt(pDX, m_nScrollTimes, 1, 20);
	DDX_Text(pDX, IDC_SPLASH_EDIT_SCROLLTEXT_DELAY, m_nScrollDelay);
	DDV_MinMaxUInt(pDX, m_nScrollDelay, 1, 1000);
	DDX_Text(pDX, IDC_SPLASH_EDIT_TEXT, m_strScrollText);
	DDX_Text(pDX, IDC_SPLASH_EDIT_SCROLLROW, m_nRow);
	DDV_MinMaxUInt(pDX, m_nRow, 1, 2);
}


BEGIN_MESSAGE_MAP(CPopupTextAutoscroll, CDialog)
	ON_BN_CLICKED(IDC_SPLASH_TEXT_SCROLL_LEFT, &CPopupTextAutoscroll::OnBnClickedSplashTextScrollLeft)
	ON_BN_CLICKED(IDC_SPLASH_TEXT_SCROLL_LEFT2, &CPopupTextAutoscroll::OnBnClickedSplashTextScrollLeft2)
END_MESSAGE_MAP()


// CPopupTextAutoscroll message handlers

void CPopupTextAutoscroll::OnBnClickedSplashTextScrollLeft()
{
	UpdateData(TRUE);
	m_bScrollLeft = TRUE;
	m_bScrollRight = FALSE;
	UpdateData(FALSE);
}

void CPopupTextAutoscroll::OnBnClickedSplashTextScrollLeft2()
{
	UpdateData(TRUE);
	m_bScrollLeft = FALSE;
	m_bScrollRight = TRUE;
	UpdateData(FALSE);
}
